
Installer - Feature #29052

Drop upgrade flag

02/18/2020 02:07 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/470,

https://github.com/theforeman/puppet-pul

p/pull/391,

https://github.com/theforeman/foreman-i

nstaller/pull/486,

https://github.com/theforeman/foreman-i

nstaller/pull/487

  

Description

Associated revisions

Revision f78dba6d - 02/26/2020 01:58 AM - Eric Helms

Refs #29052: Stop services before running database migrations

Revision 481ee53f - 03/03/2020 02:26 PM - Eric Helms

Fixes #29052: Drop upgrade flag and treat all installer runs the same

Revision 67604fd6 - 03/09/2020 03:33 PM - Eric Helms

Refs #29052: Allow --upgrade to pass through

Revision 20a1c2d2 - 03/09/2020 05:07 PM - Eric Helms

Refs #29052: warning is actually warn in logger

History

#1 - 02/18/2020 02:14 PM - Eric Helms

- Subject changed from Cleanup pre upgrade hook and drop service stop to Drop upgrade flag

#2 - 02/18/2020 04:10 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman-installer/pull/470 added

#3 - 02/19/2020 03:30 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-pulp/pull/391 added

#4 - 03/03/2020 02:26 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#5 - 03/03/2020 03:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed
Applied in changeset installer|481ee53f04cbcc98fea39bba1a9c2c388bf22f1c.

#6 - 03/09/2020 01:49 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/486 added

#7 - 03/09/2020 04:37 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/487 added
